<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="MetaModules|Known Credentials Intrusion">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Known Credentials Intrusion MetaModule</title>
        
        <link href="../../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../../index.html#18-metamodules/known-credentials-intrusion/known-credentials-intrusion.html">Open topic with navigation</a>
        </p>
        <h1>Known Credentials Intrusion MetaModule</h1>
        <p>The Known Credentials Intrusion MetaModule logs in to a list of specified services and attempts to open sessions on a range of hosts with the known credentials in the project. You can run this MetaModule if you want to quickly get shells on the hosts in your project. </p>
        <p>

In order to run the Known Credentials Intrusion MetaModule, the project must already contain credentials that you have either collected from a Discovery Scan, bruteforce attack, or data import. The Known Credentials Intrusion MetaModule will attempt to authenticate to each service that has been enumerated for each host. If the MetaModule is able to successfully log in to the service, it attempts to open a session on the target, which you can use to do things like set up a VPN pivot, collect system data, or launch a shell to interact with the target system.  It opens one session per target, and it will move onto the next host in the test if a session has already been established for a host. </p>
        <p>  

During the MetaModule run, <span class="VariablesProductName">Metasploit Pro</span> displays real-time statistics for the number of hosts targeted and the number of sessions opened. When the MetaModule completes its run, it generates a complete report that provides the details for the hosts on which it was able to open a session. You can share this report with your organization to expose weak passwords and to help mitigate vulnerabilities in its security infrastructure. </p>
        <h2>Running the Known Credentials Intrusion MetaModule</h2>
        <p>Before you can run the Known Credentials Intrusion MetaModule, you must run a Discovery Scan on the target network range or import existing host data. This populates the project with the necessary host information, such as open ports and services, that the MetaModule needs to run.</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Modules &gt; MetaModules</b>.<br /></li>
            <li value="2">Find the Known Credentials Intrusion MetaModule and click the <b class="UISelection">Launch</b> button. The Known Credentials Intrusion window appears.<br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-metamodules-1_339x197.png" style="width: 339;height: 197;" /></li>
            <li value="3">From the <b class="UISelection">Scope</b> tab, enter the target address range you want to use for the test.<br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-scope-1_485x359.png" style="width: 485;height: 359;" /></li>
            <li value="4">Click on the <b class="UISelection">Payload</b> tab to configure the payload settings.<br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-known-creds-payload-1_481x356.png" style="width: 481;height: 356;" /></li>
            <li value="5">Specify the following settings that you want to use for the payload:</li>
        </ol>
        <ul data-mc-continue="true">
            <li class="indentedList" value="6"><b>Payload type</b> - Choose Meterpreter for Windows or Command shell for Linux systems.</li>
            <li class="indentedList" value="7"><b>Connection </b>- Choose one of the following connection types:</li>
            <li class="indentedList2" value="8"><b>Auto</b> - Automatically selects the payload type. In most cases, the Auto option selects the  reverse shell payload because it is more likely to establish a connection between a target machine and the attacking machine.</li>
            <li class="indentedList2" value="9"><b>Reverse</b> - Select this option if the targets are behind a firewall or use NAT. Typically, a reverse shell payload will work for most situations.</li>
            <li class="indentedList2" value="10"><b>Bind</b> - Select this option if the target devices are unable to initiate a connection.</li>
            <li class="indentedList" value="11"><b>Listener Ports</b> - The port that you want the listener to listen on for incoming connections.  By default, ports 1024-65535 are selected; however, you can define a specific port that you want the listener to use, such as 4444.</li>
            <li class="indentedList" value="12"><b class="UISelection">Listener Host</b> - The IP address that you want the target machine to connect back to. This is typically going to be the IP address of your local machine. If you do not specify a listener host, the MetaModule automatically uses the IP address of your local machine.</li>
        </ul>
        <ol start="6">
            <li value="6">Click the <b class="UISelection">Generate Report</b> tab. The Report configuration form appears.<br /></li>
            <li value="7">Enter a name for the report in the <b class="UISelection">Report Name</b> field, if you want to use a custom report name.  Otherwise, the MetaModule uses the default report name.<br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-report-name-1_193x49.png" style="width: 193;height: 49;" /></li>
            <li value="8">Choose whether you want to generate the report as a PDF, HTML, or RTF file.<br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-report-format-1_340x42.png" style="width: 340;height: 42;" /></li>
            <li value="9">From the <b class="UISelection">Sections </b>area, deselect any sections you do not want to include in the report. Skip this step if you want to generate all the report sections.<br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-report-sections-1_224x103.png" style="width: 224;height: 103;" /></li>
            <li value="10">From the <b class="UISelection">Options </b>area, select the <b class="UISelection">Mask discovered passwords</b> option if you want to obscure any passwords that the report contains. The report replaces the password with **MASKED** . By default, this option is disabled. You should enable this option if you plan to distribute the report. <br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-known-creds-report-options-1_169x65.png" style="width: 169;height: 65;" /></li>
            <li value="11">Select the <b class="UISelection">Email Report</b> option if you want to e-mail the report after it generates. If you enable this option, you need to supply a comma separated list of e-mail addresses.</li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span> If you want to e-mail a report, you must set up a local mail server or e-mail relay service for <span class="VariablesProductName">Metasploit Pro</span> to use. To define your mail server settings, select <b class="UISelection">Administration &gt; Global Settings &gt; SMTP Settings</b>.</p>
        <ol start="12">
            <li value="12">Click the <b class="UISelection">Launch </b>button.</li>
        </ol>
    </body>
</html>